I am using projected and sketched geometry (2D sketches) in assembly space to create lines/ points that I intend to use to define planes and axes. The problem I have is that nearly all the geometry I create (lines and points in 2D sketches) is not "selectable" when I try to create planes or axes. I cannot even put a work points "on top of" my sketch points. Why are my sketches not usable in the assembly space? Since the components in my model are just two extruded rings I don't have any linear edges I can select to make this work/ define planes.
I want to draw a line between the two sketches visible on the image below. The line should be in the plane visible. The starting point of the line should be from wherever the top sketch intersects the plane of the current sketch. The finnish point of the line should be wherever a line of the bottom sketch intersects the current sketch plane.
There is no tooltip appearing that would allow me to quickly "attach" the starting line to the correct position. Is there such an aid, and how do i turn it on?
I am trying to use sketch points in drawing for dimensioning. Below is portion of my code. The code fails when AddLinear is called. Is it even possible to use drawing sketch points for dimensioning?
invSheet = invDrawingDoc.ActiveSheet Dim oTransGeom As Inventor.TransientGeometry= invApp.TransientGeometry Dim pt1 AsPoint= oTransGeom.CreatePoint(0, 0, flangeOD / 2)
I am trying to get Sketched Symbols with leaders to align.
I have a sketched symbol defined that has connection points defined at the outer quadrants. If the symbol doesn't have a leader they snap together at the connection points without any problems.
If the symbols have a leader they either won't snap, or jump to a random location depending on what grip you select to move.
The following video image shows the problems with the symbols with leaders.
I have a series of points that I've placed along a sloped line in a 3D Sketch. However, if I delete one of the points, all the points that have been created are erased as well. I found a way to get around it (remove the constraints of the point I'm trying to delete and then delete the point). However, if I want to delete multiple points, the solution I have would take up some time.
I don't want to create a rectangular pattern in a 2D sketch because, when the line changes slope, the pattern doesn't seem to recognize the new slope direction and the points appear offset from the new sloped line.
Is there a way I can get create some semblance of a pattern in 3D sketch and also have the ability to delete individual points within a series of created points?
Given a sketch, I wish to get its profile paths (outer, plus inners), for each path, I wish to get their individual curves (line, arc, splines, any type). For lines, I need start and end points, for others, some sample points would do.
For "T" like thin profile shape, following code got me, 1 Profile Path, which had 8 Lines (thus 8 points) and it worked fine.
For Each path As Inventor.ProfilePath In extFeature.Profile
If Not path Is Nothing And path.Count > 0 Then For Each entity As Inventor.ProfileEntity In path If entity.CurveType = Curve2dTypeEnum.kLineSegmentCurve2d Then Dim oSkE As SketchEntity = entity.SketchEntity Dim oLine As SketchLine = CType(oSkE, SketchLine) Dim startpt As Inventor.Point2d = oLine.StartSketchPoint.Geometry Dim endpt As Inventor.Point2d = oLine.EndSketchPoint.Geometry
But same logic does not work (crashes at Casting I guess) for "S" shape as below:
When I use the import excel points function in the 2D sketch menu of Inventor 2013, nothing happens when I open the excel file. No points are drawn in the sketch... I don't even get an error message... I have tried the same thing on another computer with the exact same spreadsheet and it works 100%.
I'm running Inventor 2013 service pack 2 on a Lenovo Y570 with an Nvidia GeForce GT555M GFX card
I have a newly discovered issue with left clicking and moving lines and points in 2D-sketch.
After working in Inventor for a while I cant move lines and points(green and unconstrained geometry). If I exit 2D sketch mode and enter again I can move a line once and then its back to not being able to manipulate the geometry at all, the curser just want to create a marking box.
I have a new optical mouse with cord, its a Logitech G400. I have switched mouse but with the same result.I have installed the latest driver for the mouse.
Within a part, I'm trying to identify sketch points that are generated from projected geometry, but the geometry is subsequently changed higher up the feature tree, leaving a pink sketch point (or worse). What attributes would such a sketch point have?
How to create a custom ribbon with sketches cmd... I found example for assembly context... it work well but I don't find how to do that in sketch mode... The goal is to control the cmd the user can use.
I created a 12-sided polygon shape in the sketch mode. I created one line, fully constrained it and then used the circular pattern to finish the shape. Why can't I extrude the shape?
I have attached the file. It's a pretty basic shape. I don't understand why it wouldn't work...
creating a named sketch block (in an ipt) containing entities that I have created in the same sub? I'm doing this from Excel, in Inventor 2010.
What I have:
Function CreateUncutTagSketchBlock()Dim IVApp As Inventor.ApplicationDim oDoc As DocumentDim oCompDef As ComponentDefinitionDim oSketch As SketchDim oTG As TransientGeometryDim FileName As StringDim Coords(1 To 10) As Point2dDim oSketchCircle As Circle2dDim oSketchArcs(1 To 2)
[code]....
note that i've also taken a shortcut with the arcs, and the circle. I did try to create them using the same naming convention as the lines, but... I failed to implement it successfully.Also, I can not quite figure out how to constrain all the start/end points together.
I created a 2D planar sketch, now I need to create a 3D sketch and Helical curves, but as I enter into the 3D sketch mode, I cannot perform any functions, all my tool bar options are grayed out?
I created an assembly of parts and then converted my assembly to a weldment. I then realized that I need to create a sketch and make an edit to my assembly. The sketch command is greyed out however. I did some trouble shooting and realized that once I converted it, it no longer allows me to make edits. Is there anyway I can get around this? do I now have to re-create the entire assembly to make this edit at the assembly level? If so this would really suck since it is a rather large assembly. I see saving as a new IAM doesn't work as well.
I have this assembly shown in the pic. below. I'm trying to create a point or axis in the blue corner points (to attaches something later on) but it just won't let me choose it for some reason. I know that it's possible to to do that (almost sure I already done this trivial thing in inventor.)
Any reason it's not letting me choose the sketch points/line to in order to create points or axis(s)?
I am trying to create a sketch on a face for an extrusion. The sketch has a text box. I am having trouble excluding the text in a sketch otherwise all the closed geometries of the text get extruded.
I created an objectCollection and excluded the TextBox objects. Still not working.
I am not sure exactly why this is a limited feature of Inventor 2011 but when you want to select a sketch to create a boundary patch you have to select each part of the sketch in sequence. It's a pretty laborious task. I am looking to a way to automate this using i logic.
In 5.3 I can create reference dimensions in sketch mode to my hearts content. They became very valuable as I would use them to determine placement of multiple features. Now, in IV 7, I have alot of trouble creating reference dimensions from adjacent features on the same surface. I have to change the way I'm working now and it has stumped me on a few occasions. is there a "new" feature I need to enable or is this the cost of progress?
I have a group of Points coming from a step.file. So I don't have their coordinates, excel list or anything else. Just the step file. Around 100 points. There is a line between each 2 consecutive points.
Is there any way to select all the points and create a complete spline? Or even to select all the points and create tangent arcs between all of them?
I'd like to add a sketch to my drawing - a sketch that is independent of any other views. Is it possible to make this sketch have a scale associated with it instead of being 1:1?
Right now I am just overriding all of my dimensions.
I use the same sketch to create a break out view in one type of drawing. I may be blind, but I can't seem to find a way to save that sketch and reuse it when I want to create a break out view.
Im trying to create a shape like the attached image using sheet metal loft from one sketch to the second sketch. No problem doing that but i want to extend the neck on the small end 1 inch like the attached image.
Currently the product is produced using 4 panels brazed together. I want to create the product with 2 bent panels 90 degrees that are split apart from the loft.
Not sure if this even possible in the real world sheet metal house to develop the flat pattern.
Any time I click on "Create 2D sketch" when editing a part in place in an assembly, the view moves to an isometric view. It happens as soon as I click on the button. Is there any way to stop this happening?
This does not happen when I'm editing a part (.ipt) on its own. I'm aware of the "Look at sketch plane on sketch creation" issue: this is not the same thing since it happens as soon as I click on the button, i.e. before I actually create the sketch.
I want the view to remain as it was before I click the button, to keep the things I'm looking at in view.
I had to create a boundary map and place points to all corners. How to export these newly created points back into my data collector (Ranger) and also I'm trying to figure out how to print out a points list.
I stumbled on to this thread but I guessing that it's a different CAD year because my modify tab doesn't look like this. URL.....
I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013